darcs

Issue 114 support splitting in revert

Title support splitting in revert
Priority wishlist Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, galbolle, kowey, thorkilnaur, tommy
Assigned To galbolle
Topics

Created on 2006-01-26.06:01:58 by zooko, last changed 2011-01-06.18:06:10 by noreply.

Messages
msg1096 (view) Author: kowey Date: 2006-10-15.14:09:19
Merging with issue126
msg12756 (view) Author: galbolle Date: 2010-10-17.14:37:23
It is currently not possible to use hunk-splitting in revert. It ought to 
be.
msg13472 (view) Author: noreply Date: 2011-01-06.18:06:09
The following patch sent by Florent Becker <florent.becker@ens-lyon.org> updated issue issue114 with
status=resolved;resolvedin=2.8.0 HEAD

* resolve issue114: allow hunk-splitting in revert 
Ignore-this: 1d0d0f1643f4d0d3fac27f0442c50805
The UI is stolen from record-hunk-splitting and therefore subpar. It should be checked by native english-speakers and non-programmers.
History
Date User Action Args
2006-01-26 06:01:58zookocreate
2006-01-31 13:20:01droundyset
2006-10-15 14:09:21koweysetstatus: unread -> resolved
nosy: + kowey
superseder: + wish: ablity to split and otherwise record a hunk in record
messages: + msg1096
2009-08-06 17:45:52adminsetnosy: + markstos, jast, Serware, dmitry.kurochkin, darcs-devel, zooko, dagit, mornfall, simon, beschmi, thorkilnaur, - droundy
2009-08-06 20:48:26adminsetnosy: - beschmi
2009-08-10 21:49:58adminsetnosy: - markstos, darcs-devel, zooko, jast, dagit, Serware, mornfall
2009-08-25 17:57:40adminsetnosy: + darcs-devel, - simon
2009-08-27 13:48:09adminsetnosy: tommy, kowey, darcs-devel, thorkilnaur, dmitry.kurochkin
2010-01-18 10:04:53koweysetstatus: resolved -> duplicate
2010-01-18 10:05:17koweysetsuperseder: + darcs record interactive option: "e" is for "edit", - wish: ablity to split and otherwise record a hunk in record
2010-10-17 14:37:24galbollesetstatus: duplicate -> needs-implementation
title: I wish I could interactively split a hunk into two pieces and record them (or revert them) separately. -> support splitting in revert
nosy: + galbolle
messages: + msg12756
assignedto: galbolle
superseder: - darcs record interactive option: "e" is for "edit"
2010-10-18 15:12:11galbollesetstatus: needs-implementation -> has-patch
2011-01-06 18:06:10noreplysetstatus: has-patch -> resolved
messages: + msg13472
resolvedin: 2.8.0